// 控制jq
var w = $(window).width();
var h = $(window).height();
$(function(){
	$('#menuIcon').click(function(){
		if($(this).eq(0).attr('data-type') == 1){
			$(this).attr('data-type', '2');
			$(this).next('nav').addClass('openBox');
		}else{
			$(this).attr('data-type', '1');
			$(this).next('nav').removeClass('openBox');
		}
	});
	$('header nav ul li b').click(function(){
		var li = $(this).parent().parent();
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			li.parent().children().removeClass('action');
			li.parent().children().children().children().children('i').attr('class','fa fa-plus');
			$(this).children('i').attr('class','fa fa-minus');
			li.addClass('action');
		}else{
			$(this).children('i').attr('class','fa fa-plus');
			li.removeClass('action');
		}
	});
	$('#openform').click(function(){
		if($(this).children('i').attr('class') == 'fab fa-sistrix'){
			$(this).children('i').attr('class', 'fas fa-times');
			$('form[name="hSearch"]').attr('id', 'hSearch');
		}else{
			$(this).children('i').attr('class', 'fab fa-sistrix');
			$('form[name="hSearch"]').attr('id', '');
		}
	});
	$('footer #footercont #openlist').click(function(){
		if($(this).eq(0).attr('data-type') == 1){
			$(this).attr('data-type', '2');
			$(this).next('ul').addClass('openBox');
		}else{
			$(this).attr('data-type', '1');
			$(this).next('ul').removeClass('openBox');
		}
	});
	$('#sideNav li h3 b').click(function(){
		if($(this).prev().eq(0).attr('data-type') == '1'){
			$(this).prev().attr('data-type', '2');
			$(this).parent().parent().addClass('openlist');
		}else{
			$(this).prev().attr('data-type', '1');
			$(this).parent().parent().removeClass('openlist');
		}
	});
	$('#goSearch').click(function(){
		$('#hSearch').submit();
	});
	$('#webSeo').marquee({
		duration: 50000
	});
});
//回到顶部
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}
$(window).scroll(function(){
	var scrollH = $(this).scrollTop();
	if(scrollH > 50){
		$('header').addClass('headerfixed');
	}else{
		$('header').removeClass('headerfixed');
	}
});
//jump6
var flagWC = 0;
window.addEventListener('message',function(e){
	if(e.source != window.parent) return;
	if(flagWC > 0) return;
	document.body.style.width = e.data;
	document.body.style.overflowX = "hidden";
	flagWC = 1;
},true);
if(window.top != window && flagWC == 0){
	window.top.postMessage('givemewidth','*');
}
//google
window.___gcfg = {lang: 'zh-TW'};
(function() {
	var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
	po.src = 'https://apis.google.com/js/plusone.js';
	var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
})();